function LiniarBtn_Callback(handles)
    [x,y] =  Data()
    dx = (max(x)- min(x))/5
    X = linspace(min(x)-dx,max(x)+dx,1000)
    n = size(x)(1)
    A =[sum(x.^2), sum(x); sum(x),n];
    C=[sum(x.*y); sum(y)];

    M = A\C;
    Y = M(1)*X + M(2);
    plot(x,y,'k.',X,Y,'k');
    LabelGraph(handles)
    legend('y vs. x',msprintf("y = %0.3G x + %0.3G (Fitted Line)",M(1),M(2)),2)
     ResultStr = "======= Liniar Fitting =======\n\n"+...
     msprintf("Slope = %0.4G \t Y-intercept = %0.4G",M(1),M(2)) +"\n\n"+...
     msprintf("Equation of Fitted Line : Y = %0.4G X + %0.4G",M(1),M(2))+"\n"
    ResultString(handles,ResultStr)
endfunction
